package com.uas.platform.b2b.mobile.service;

import org.springframework.ui.ModelMap;

public interface MobileFlowService {

	/**
	 * 分页获取待审批的数据
	 * 
	 * @param count
	 * @param page
	 * @param enuu
	 * @param emuu
	 * @return
	 */
	public ModelMap getAuditTodo(Integer count, Integer page, Long enuu, Long emuu);

	/**
	 * 分页获取已审批的数据
	 * @param count
	 * @param page
	 * @param enuu
	 * @param emuu
	 * @return
	 */
	public ModelMap getAuditDone(Integer count, Integer page, Long enuu, Long emuu);

	/**
	 * 通过id获取审批节点和记录
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap getNodesAndLog(Long id, String caller);

	/**
	 * 单据操作
	 * 
	 * @param id
	 * @param desciption
	 * @param dealtype
	 * @return
	 */
	public ModelMap auditDocuments(Long id, String description, Integer dealtype);

	/**
	 * 获取人员信息
	 * 
	 * @param enuu
	 * @return
	 */
	public ModelMap getUsersInfo(Long enuu);
}
